org.keycloak.representations.idm

## Class RoleRepresentation

- java.lang.Object
- - org.keycloak.representations.idm.RoleRepresentation

-     public class RoleRepresentation
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RoleRepresentation.Composites`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<String,List<String>>` | `attributes`
    `protected boolean` | `composite`
    `protected RoleRepresentation.Composites` | `composites`
    `protected String` | `description`
    `protected String` | `id`
    `protected String` | `name`
    `protected Boolean` | `scopeParamRequired` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RoleRepresentation()`
    `RoleRepresentation(String name, String description, boolean scopeParamRequired)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `Map<String,List<String>>` | `getAttributes()`
    `Boolean` | `getClientRole()`
    `RoleRepresentation.Composites` | `getComposites()`
    `String` | `getContainerId()`
    `String` | `getDescription()`
    `String` | `getId()`
    `String` | `getName()`
    `int` | `hashCode()`
    `boolean` | `isComposite()`
    `Boolean` | `isScopeParamRequired()` Deprecated.
    `void` | `setAttributes(Map<String,List<String>> attributes)`
    `void` | `setClientRole(Boolean clientRole)`
    `void` | `setComposite(boolean composite)`
    `void` | `setComposites(RoleRepresentation.Composites composites)`
    `void` | `setContainerId(String containerId)`
    `void` | `setDescription(String description)`
    `void` | `setId(String id)`
    `void` | `setName(String name)`
    `RoleRepresentation` | `singleAttribute(String name, String value)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected String id

    - #### name

          protected String name

    - #### description

          protected String description

    - #### scopeParamRequired

          @Deprecated
          protected Boolean scopeParamRequired

      Deprecated.

    - #### composite

          protected boolean composite

    - #### composites

          protected RoleRepresentation.Composites composites

    - #### attributes

          protected Map<String,List<String>> attributes

  - ### Constructor Detail

    - #### RoleRepresentation

          public RoleRepresentation()

    - #### RoleRepresentation

          public RoleRepresentation(String name,
                                    String description,
                                    boolean scopeParamRequired)

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

    - #### isScopeParamRequired

          @Deprecated
          public Boolean isScopeParamRequired()

      Deprecated.

    - #### getComposites

          public RoleRepresentation.Composites getComposites()

    - #### setComposites

          public void setComposites(RoleRepresentation.Composites composites)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### isComposite

          public boolean isComposite()

    - #### setComposite

          public void setComposite(boolean composite)

    - #### getClientRole

          public Boolean getClientRole()

    - #### setClientRole

          public void setClientRole(Boolean clientRole)

    - #### getContainerId

          public String getContainerId()

    - #### setContainerId

          public void setContainerId(String containerId)

    - #### getAttributes

          public Map<String,List<String>> getAttributes()

    - #### setAttributes

          public void setAttributes(Map<String,List<String>> attributes)

    - #### singleAttribute

          public RoleRepresentation singleAttribute(String name,
                                                    String value)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.